#include <minix/config.h>
#if (SHADOWING == 0)

|
| even though there are a lot of instructions in the 68851, we will 
| try only using those that will also occur in a 68030
|

.globl	__pmmu_load_crp
.globl	__pmmu_load_srp
.globl	__pmmu_load_tc
.globl	__pmmu_pflush

.text

| routines to deal with m68851 PMMU registers

__pmmu_load_crp:
	movel	sp@(4),a0
	pmove	a0@,crp
	rts	

__pmmu_load_srp:
	movel	sp@(4),a0
	pmove	a0@,srp
	rts	

__pmmu_load_tc:
	movel	sp@(4),a0
	pmove	a0@,tc
	rts	

__pmmu_pflush:
	pflusha
	rts	

#endif
