/*
 * Atari ST hardware:
 * Address map
 */

#define	AD_RAM		0x00000000L	/* main memory */
#define	AD_CART		0xFFFA0000L	/* expansion cartridge */
#define	AD_ROM		0xFFFC0000L	/* system ROM */
#define	AD_IO		0xFFFF8000L	/* I/O devices */

/*
 * I/O address parts of 0x000200 each
 */
#define	AD_RAMCFG	0xFFFF8000L	/* ram configuration */
#define	AD_VIDEO	0xFFFF8200L	/* video controller */
#define	AD_DMA_ACSI	0xFFFF8600L	/* DMA device access */
#define	AD_DMA_SCSI	0xFFFF8700L	/* SCSI DMA device address */
#define	AD_SCSI		0xFFFF8780L	/* NCR 5380 */
#define	AD_SOUND	0xFFFF8800L	/* YM-2149 */
#define	AD_DMA_SOUND	0xFFFF8900L	/* SOUND DMA device address */
#define	AD_RTC_NVM	0xFFFF8960L	/* MC146818A */
#define	AD_DMA_SCC	0xFFFF8C00L	/* SCC DMA device address */
#define	AD_SCC		0xFFFF8C80L	/* 8530 SCC */

#define	AD_MFP		0xFFFFFA00L	/* 68901 */
#define	AD_ACIA		0xFFFFFC00L	/* 2 * 6850 */
