#include <lib.h>
#include <sys/sigcontext.h>
#include <signal.h>

PUBLIC int sigaction(sig, act, oact)
int sig;
_CONST struct sigaction *act;
struct sigaction *oact;
{
  message m;

  m.m1_i2 = sig;

  /* XXX - yet more type puns because message struct is short of types. */
  m.m1_p1 = (char *) act;
  m.m1_p2 = (char *) oact;
  m.m1_p3 = (char *) sigreturn;

  return(_syscall(MM, SIGACTION, &m));
}
