/*
 * snprintf - print limited formatted output on an array
 */
/* Copied almost straight from Minix 3.1.8 */

#include	<stdio.h>
#include	<stdarg.h>
#include	"loc_incl.h"

int
snprintf(char *s, size_t n, const char *format, ...)
{
	va_list ap;
	int retval;

	va_start(ap, format);

	retval = vsnprintf(s, n, format, ap);

	va_end(ap);

	return retval;
}
