/* Gather kernel headers from all over. This must be included first, if used.
 * The <kernel> directory must be in cc's search path.
 */

#include <minix/config.h>
#include <minix/const.h>
#include <minix/type.h>

#include <sys/types.h>
#include <limits.h>
#include <errno.h>

#include "kernel/const.h"
#include "kernel/type.h"
#include "kernel/proc.h"

#undef printf			/* defined as printk in <kernel/const.h> */
